.footer{
  width: 100%;
  height: 100%;
  flex-shrink: 0;
  background: black;

}
.footer a{
  color: #ffffff;
}
.all_foter{
  max-width: 1100px;
  margin: 0 auto;
  padding: 0 150px;
  padding: 25px;
}
.all_foter{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.footer_col{
  /* width: 15%;*/
  padding: 0 15px;
  color: white;
 }
 .footer_ul{
  list-style: none;
}
 
 .footer_col h4{
   font-size: 16px;
   color: #ffffff;
   text-transform: capitalize;
   margin-bottom: 25px;
   font-weight: 500;
   position: relative;
 
 
 }
 .footer_col h4:hover, .footer_col h4:focus, .footer_col h4:active{
   opacity: .75;
 }
 .footer_ul:not(:last-child){
   margin-bottom: 25px;
 }
 .footer_ul{
  font-size: 16px;
  color: #ffffff;
  text-transform: capitalize;
  margin-bottom: 30px;
  font-weight: 500;
  position: relative;
 }
 .footer_ul a:hover,.footer_ul a:focus,.footer_ul a:active{
   opacity: .75;
 }
 .socia_links{
  padding-left: 30px;
  display: inline-flex;
 }

 .footer_col .socia_links a{
  display: inline-block;
  font-size: 2em;
  height: 40px;
  width: 40px;
  background-color: egba(255,255,255,0.8);
  margin:0 10px 10px 0;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  color: #ffffff;
  transition: all 0.5s ease;
}
/*
.footer_col .socia_links a:hover{
  color: #24262b;
  background-color: #ffffff;
  
}
*/